
_InitMCU:

;Clicker2_WB_OLED_example.mpas,131 :: 		begin
;Clicker2_WB_OLED_example.mpas,133 :: 		PLLEN_bit := 1;   // Enable PLL. sets MCU clock speed to 48MHz
	BSF         INTSRC_bit, 6 
;Clicker2_WB_OLED_example.mpas,134 :: 		Delay_ms(150);    // stabilization delay.
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L__InitMCU1:
	DECFSZ      R13, 1, 1
	BRA         L__InitMCU1
	DECFSZ      R12, 1, 1
	BRA         L__InitMCU1
	DECFSZ      R11, 1, 1
	BRA         L__InitMCU1
;Clicker2_WB_OLED_example.mpas,137 :: 		ADSHR_bit := 1;   // Alternate SFR is selected.
	BSF         DEVCFG_bit, 4 
;Clicker2_WB_OLED_example.mpas,138 :: 		ANCON0 := 0xFF;   // All pins to digital.
	MOVLW       255
	MOVWF       ACQT2_bit 
;Clicker2_WB_OLED_example.mpas,139 :: 		ANCON1 := 0xFF;
	MOVLW       255
	MOVWF       NOT_DONE_bit 
;Clicker2_WB_OLED_example.mpas,142 :: 		TRISD0_bit := 0;  // set pin as digital output (RST).
	BCF         TRISD0_bit, 0 
;Clicker2_WB_OLED_example.mpas,143 :: 		TRISD1_bit := 0;  // set pin as digital output (CS).
	BCF         TRISD0_bit, 1 
;Clicker2_WB_OLED_example.mpas,144 :: 		TRISG0_bit := 0;  // set pin as digital output (DC).
	BCF         TRISG0_bit, 0 
;Clicker2_WB_OLED_example.mpas,147 :: 		TRISC3_bit := 0;  // set pin as digital output.
	BCF         TRISC0_bit, 3 
;Clicker2_WB_OLED_example.mpas,148 :: 		TRISC4_bit := 0;  // set pin as digital output.
	BCF         TRISC0_bit, 4 
;Clicker2_WB_OLED_example.mpas,149 :: 		TRISC5_bit := 0;  // set pin as digital output.
	BCF         TRISC0_bit, 5 
;Clicker2_WB_OLED_example.mpas,151 :: 		SPI1_Init();      // initialize SPI-1 HW module.
	CALL        _SPI1_Init+0, 0
;Clicker2_WB_OLED_example.mpas,152 :: 		Delay_ms(500);    // delay to allow stabilization of setup.
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L__InitMCU2:
	DECFSZ      R13, 1, 1
	BRA         L__InitMCU2
	DECFSZ      R12, 1, 1
	BRA         L__InitMCU2
	DECFSZ      R11, 1, 1
	BRA         L__InitMCU2
	NOP
;Clicker2_WB_OLED_example.mpas,153 :: 		end;
L_end_InitMCU:
	RETURN      0
; end of _InitMCU

_OLED_M_command:

;Clicker2_WB_OLED_example.mpas,158 :: 		begin
;Clicker2_WB_OLED_example.mpas,159 :: 		OLED_CS := 0;     // Chip Select = Enable.
	BCF         LATD7_bit, 1 
;Clicker2_WB_OLED_example.mpas,160 :: 		OLED_DC := 0;     // Data/Command mode = Command.
	BCF         LATG4_bit, 0 
;Clicker2_WB_OLED_example.mpas,161 :: 		SPI1_Write(temp); // send instruction to OLED controller.
	MOVF        FARG_OLED_M_command_temp+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Clicker2_WB_OLED_example.mpas,162 :: 		OLED_CS := 1;     // Chip Select = Disabled.
	BSF         LATD7_bit, 1 
;Clicker2_WB_OLED_example.mpas,163 :: 		end;
L_end_OLED_M_command:
	RETURN      0
; end of _OLED_M_command

_OLED_M_data:

;Clicker2_WB_OLED_example.mpas,167 :: 		begin
;Clicker2_WB_OLED_example.mpas,168 :: 		OLED_CS := 0;     // Chip Select = Enable.
	BCF         LATD7_bit, 1 
;Clicker2_WB_OLED_example.mpas,169 :: 		OLED_DC := 1;     // Data/Command mode = Data.
	BSF         LATG4_bit, 0 
;Clicker2_WB_OLED_example.mpas,170 :: 		SPI1_Write(temp); // send data value to OLED controller.
	MOVF        FARG_OLED_M_data_temp+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Clicker2_WB_OLED_example.mpas,171 :: 		OLED_CS := 1;     // Chip Select = Disabled.
	BSF         LATD7_bit, 1 
;Clicker2_WB_OLED_example.mpas,172 :: 		end;
L_end_OLED_M_data:
	RETURN      0
; end of _OLED_M_data

_OLED_M_Init:

;Clicker2_WB_OLED_example.mpas,177 :: 		begin
;Clicker2_WB_OLED_example.mpas,178 :: 		OLED_RST := 0;    // put the device in Reset mode.
	BCF         LATD7_bit, 0 
;Clicker2_WB_OLED_example.mpas,179 :: 		Delay_ms(1000);   // pause to let reset take effect.
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L__OLED_M_Init6:
	DECFSZ      R13, 1, 1
	BRA         L__OLED_M_Init6
	DECFSZ      R12, 1, 1
	BRA         L__OLED_M_Init6
	DECFSZ      R11, 1, 1
	BRA         L__OLED_M_Init6
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,180 :: 		OLED_RST := 1;    // put the device in operation mode.
	BSF         LATD7_bit, 0 
;Clicker2_WB_OLED_example.mpas,181 :: 		Delay_ms(1000);   // delay to allow device to stabilize.
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L__OLED_M_Init7:
	DECFSZ      R13, 1, 1
	BRA         L__OLED_M_Init7
	DECFSZ      R12, 1, 1
	BRA         L__OLED_M_Init7
	DECFSZ      R11, 1, 1
	BRA         L__OLED_M_Init7
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,182 :: 		OLED_M_command(SSD1306_DISPLAYOFF);             //0xAE Set OLED Display Off.
	MOVLW       174
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,183 :: 		OLED_M_command(SSD1306_SETDISPLAYCLOCKDIV);     //0xD5 Set Display Clock Divide Ratio/Oscillator Frequency.
	MOVLW       213
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,184 :: 		OLED_M_command(0x80);                           // ???
	MOVLW       128
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,185 :: 		OLED_M_command(SSD1306_SETMULTIPLEX);           //0xA8 Set Multiplex Ratio.
	MOVLW       168
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,186 :: 		OLED_M_command(0x27);                           // ???
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,187 :: 		OLED_M_command(SSD1306_SETDISPLAYOFFSET);       //0xD3 Set Display Offset.
	MOVLW       211
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,188 :: 		OLED_M_command(0x00);                           // ???
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,189 :: 		OLED_M_command(SSD1306_SETSTARTLINE);           //0x40 Set Display Start Line.
	MOVLW       64
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,190 :: 		OLED_M_command(SSD1306_CHARGEPUMP);             //0x8D Set Charge Pump.
	MOVLW       141
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,191 :: 		OLED_M_command(0x14);                           //0x14 Enable Charge Pump.
	MOVLW       20
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,192 :: 		OLED_M_command(SSD1306_COMSCANDEC);             //0xC8 Set COM Output Scan Direction.
	MOVLW       200
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,193 :: 		OLED_M_command(SSD1306_SETCOMPINS);             //0xDA Set COM Pins Hardware Configuration.
	MOVLW       218
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,194 :: 		OLED_M_command(0x12);                           // ???
	MOVLW       18
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,195 :: 		OLED_M_command(SSD1306_SETCONTRAST);            //0x81 Set Contrast Control.
	MOVLW       129
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,196 :: 		OLED_M_command(0xAF);                           // ???
	MOVLW       175
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,197 :: 		OLED_M_command(SSD1306_SETPRECHARGE);           //0xD9 Set Pre-Charge Period.
	MOVLW       217
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,198 :: 		OLED_M_command(0x25);                           // ???
	MOVLW       37
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,199 :: 		OLED_M_command(SSD1306_SETVCOMDETECT);          //0xDB Set VCOMH Deselect Level.
	MOVLW       219
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,200 :: 		OLED_M_command(0x20);                           // ???
	MOVLW       32
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,201 :: 		OLED_M_command(SSD1306_DISPLAYALLON_RESUME);    //0xA4 Set Entire Display On/Off.
	MOVLW       164
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,202 :: 		OLED_M_command(SSD1306_NORMALDISPLAY);          //0xA6 Set Normal/Inverse Display.
	MOVLW       166
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,203 :: 		OLED_M_command(SSD1306_DISPLAYON);              //0xAF Set OLED Display On.
	MOVLW       175
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,204 :: 		end;
L_end_OLED_M_Init:
	RETURN      0
; end of _OLED_M_Init

_Set_Page_Address:

;Clicker2_WB_OLED_example.mpas,209 :: 		begin
;Clicker2_WB_OLED_example.mpas,210 :: 		add := 0xb0 or add;    // performs a bit masking on argument passed. ???
	MOVLW       176
	IORWF       FARG_Set_Page_Address_add+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
;Clicker2_WB_OLED_example.mpas,211 :: 		OLED_M_command(add);   // sends masked argument value to OLED device.
	MOVF        R0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,212 :: 		end;
L_end_Set_Page_Address:
	RETURN      0
; end of _Set_Page_Address

_Set_Column_Address:

;Clicker2_WB_OLED_example.mpas,216 :: 		begin
;Clicker2_WB_OLED_example.mpas,217 :: 		OLED_M_command((0x10 or (add shr 4))); // performs a masking and right shift of 4 places to argument passed. ???
	MOVF        FARG_Set_Column_Address_add+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       16
	IORWF       R0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,218 :: 		OLED_M_command((0x0f and add));        // performs a bit masking on argument passed. ???
	MOVLW       15
	ANDWF       FARG_Set_Column_Address_add+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,219 :: 		end;
L_end_Set_Column_Address:
	RETURN      0
; end of _Set_Column_Address

_Display_Picture:

;Clicker2_WB_OLED_example.mpas,227 :: 		begin
;Clicker2_WB_OLED_example.mpas,230 :: 		for i:=0 to 0x04 do
	CLRF        Display_Picture_i+0 
L__Display_Picture12:
;Clicker2_WB_OLED_example.mpas,232 :: 		Set_Page_Address(i);    // does following operations to pages 0 to 4 to create picture animation on the OLED display.
	MOVF        Display_Picture_i+0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;Clicker2_WB_OLED_example.mpas,234 :: 		OLED_M_command(0x10);
	MOVLW       16
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,235 :: 		OLED_M_command(0x40);
	MOVLW       64
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,236 :: 		for j:=0 to 0x5F do
	CLRF        Display_Picture_j+0 
L__Display_Picture17:
;Clicker2_WB_OLED_example.mpas,238 :: 		OLED_M_data(picture[i*0x60+j]);
	MOVF        Display_Picture_i+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       96
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        Display_Picture_j+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _picture+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_picture+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_picture+0)
	MOVWF       TBLPTRU0_bit 
	MOVLW       0
	ADDWFC      TBLPTRU0_bit, 1 
	TBLRD*+
	MOVFF       TABLAT, FARG_OLED_M_data_temp+0
	CALL        _OLED_M_data+0, 0
;Clicker2_WB_OLED_example.mpas,239 :: 		end;
	MOVF        Display_Picture_j+0, 0 
	XORLW       95
	BTFSC       N_bit, 2 
	GOTO        L__Display_Picture20
	INCF        Display_Picture_j+0, 1 
	GOTO        L__Display_Picture17
L__Display_Picture20:
;Clicker2_WB_OLED_example.mpas,240 :: 		end;
	MOVF        Display_Picture_i+0, 0 
	XORLW       4
	BTFSC       N_bit, 2 
	GOTO        L__Display_Picture15
	INCF        Display_Picture_i+0, 1 
	GOTO        L__Display_Picture12
L__Display_Picture15:
;Clicker2_WB_OLED_example.mpas,241 :: 		end;
L_end_Display_Picture:
	RETURN      0
; end of _Display_Picture

_contrast_control:

;Clicker2_WB_OLED_example.mpas,245 :: 		begin
;Clicker2_WB_OLED_example.mpas,246 :: 		OLED_M_command(SSD1306_SETCONTRAST);  // 0x81   Set Contrast Control.
	MOVLW       129
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,247 :: 		OLED_M_command(temp);                 // contrast step 1 to 255* (*corrected from 256 to 255. MHz).
	MOVF        FARG_contrast_control_temp+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,248 :: 		end;
L_end_contrast_control:
	RETURN      0
; end of _contrast_control

_startscroll_Right:

;Clicker2_WB_OLED_example.mpas,252 :: 		begin
;Clicker2_WB_OLED_example.mpas,253 :: 		OLED_M_command(SSD1306_RIGHT_HORIZONTAL_SCROLL);  // 0x26  Right Horizontal scroll.
	MOVLW       38
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,254 :: 		OLED_M_command(0x00);                             // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,255 :: 		OLED_M_command(x);                                // define start page address.
	MOVF        FARG_startscroll_Right_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,256 :: 		OLED_M_command(0x00);                             // Set time interval between each scroll.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,257 :: 		OLED_M_command(y);                                // Define end page address.
	MOVF        FARG_startscroll_Right_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,258 :: 		OLED_M_command(0x00);                             // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,259 :: 		OLED_M_command(0xFF);                             // dummy byte.
	MOVLW       255
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,260 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);          // 0x2F Activate scroll.
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,261 :: 		end;
L_end_startscroll_Right:
	RETURN      0
; end of _startscroll_Right

_startscroll_Left:

;Clicker2_WB_OLED_example.mpas,265 :: 		begin
;Clicker2_WB_OLED_example.mpas,266 :: 		OLED_M_command(SSD1306_LEFT_HORIZONTAL_SCROLL);   // 0x27  Right Horizontal scroll.
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,267 :: 		OLED_M_command(0x00);                             // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,268 :: 		OLED_M_command(x);                                // define start page address.
	MOVF        FARG_startscroll_Left_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,269 :: 		OLED_M_command(0x00);                             // Set time interval between each scroll.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,270 :: 		OLED_M_command(y);                                // Define end page address.
	MOVF        FARG_startscroll_Left_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,271 :: 		OLED_M_command(0x00);                             // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,272 :: 		OLED_M_command(0xFF);                             // dummy byte.
	MOVLW       255
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,273 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);          // 0x2F Activate scroll.
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,274 :: 		end;
L_end_startscroll_Left:
	RETURN      0
; end of _startscroll_Left

_startscroll_DiagRight:

;Clicker2_WB_OLED_example.mpas,278 :: 		begin
;Clicker2_WB_OLED_example.mpas,279 :: 		OLED_M_command(SSD1306_SET_VERTICAL_SCROLL_AREA);              // 0xA3 Set Vertical Scroll Area.
	MOVLW       163
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,280 :: 		OLED_M_command(0X00);                                          // Set No. of rows in top fixed area.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,281 :: 		OLED_M_command(SSD1306_LCDHEIGHT);                             // Set No. of rows in scroll area.
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,282 :: 		OLED_M_command(SSD1306_VERTICAL_AND_RIGHT_HORIZONTAL_SCROLL);  // 0x29 Vertical and Right Horizontal Scroll.
	MOVLW       41
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,283 :: 		OLED_M_command(0X00);                                          // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,284 :: 		OLED_M_command(x);                                             // Define start page address.
	MOVF        FARG_startscroll_DiagRight_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,285 :: 		OLED_M_command(0X00);                                          // Set time interval between each scroll.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,286 :: 		OLED_M_command(y);                                             // Define end page address.
	MOVF        FARG_startscroll_DiagRight_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,287 :: 		OLED_M_command(0X01);                                          // Vertical scrolling offset.
	MOVLW       1
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,288 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);                       // 0x2F Activate scroll.
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,289 :: 		end;
L_end_startscroll_DiagRight:
	RETURN      0
; end of _startscroll_DiagRight

_startscroll_DiagLeft:

;Clicker2_WB_OLED_example.mpas,293 :: 		begin
;Clicker2_WB_OLED_example.mpas,294 :: 		OLED_M_command(SSD1306_SET_VERTICAL_SCROLL_AREA);              // 0xA3 Set Vertical Scroll Area.
	MOVLW       163
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,295 :: 		OLED_M_command(0X00);                                          // Set No. of rows in top fixed area.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,296 :: 		OLED_M_command(SSD1306_LCDHEIGHT);                             // Set No. of rows in scroll area.
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,297 :: 		OLED_M_command(SSD1306_VERTICAL_AND_LEFT_HORIZONTAL_SCROLL);   // 0x2A Vertical and Right Horizontal Scroll.
	MOVLW       42
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,298 :: 		OLED_M_command(0X00);                                          // dummy byte.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,299 :: 		OLED_M_command(x);                                             // Define start page address.
	MOVF        FARG_startscroll_DiagLeft_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,300 :: 		OLED_M_command(0X00);                                          // Set time interval between each scroll.
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,301 :: 		OLED_M_command(y);                                             // Define end page address.
	MOVF        FARG_startscroll_DiagLeft_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,302 :: 		OLED_M_command(0X01);                                          // Vertical scrolling offset.
	MOVLW       1
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,303 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);                       // 2F Activate scroll.
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,304 :: 		end;
L_end_startscroll_DiagLeft:
	RETURN      0
; end of _startscroll_DiagLeft

_scroll_STOP:

;Clicker2_WB_OLED_example.mpas,308 :: 		begin
;Clicker2_WB_OLED_example.mpas,309 :: 		OLED_M_command(0x2E);     // 0x2E deactivate scroll.
	MOVLW       46
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,310 :: 		end;
L_end_scroll_STOP:
	RETURN      0
; end of _scroll_STOP

_main:

;Clicker2_WB_OLED_example.mpas,315 :: 		begin
;Clicker2_WB_OLED_example.mpas,316 :: 		i := 0x00;
	CLRF        _i+0 
	CLRF        _i+1 
;Clicker2_WB_OLED_example.mpas,317 :: 		InitMCU();
	CALL        _InitMCU+0, 0
;Clicker2_WB_OLED_example.mpas,318 :: 		OLED_M_Init();
	CALL        _OLED_M_Init+0, 0
;Clicker2_WB_OLED_example.mpas,320 :: 		while (TRUE) do
L__main29:
;Clicker2_WB_OLED_example.mpas,322 :: 		Display_Picture();
	CALL        _Display_Picture+0, 0
;Clicker2_WB_OLED_example.mpas,323 :: 		Delay_ms(2000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L__main33:
	DECFSZ      R13, 1, 1
	BRA         L__main33
	DECFSZ      R12, 1, 1
	BRA         L__main33
	DECFSZ      R11, 1, 1
	BRA         L__main33
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,324 :: 		OLED_M_command(SSD1306_INVERTDISPLAY);
	MOVLW       167
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,325 :: 		Delay_ms(2000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L__main34:
	DECFSZ      R13, 1, 1
	BRA         L__main34
	DECFSZ      R12, 1, 1
	BRA         L__main34
	DECFSZ      R11, 1, 1
	BRA         L__main34
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,326 :: 		OLED_M_command(SSD1306_NORMALDISPLAY);
	MOVLW       166
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;Clicker2_WB_OLED_example.mpas,327 :: 		Delay_ms(2000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L__main35:
	DECFSZ      R13, 1, 1
	BRA         L__main35
	DECFSZ      R12, 1, 1
	BRA         L__main35
	DECFSZ      R11, 1, 1
	BRA         L__main35
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,329 :: 		for i := 0xAF downto 0x00 do
	MOVLW       175
	MOVWF       _i+0 
	MOVLW       0
	MOVWF       _i+1 
L__main37:
;Clicker2_WB_OLED_example.mpas,331 :: 		contrast_control(i);
	MOVF        _i+0, 0 
	MOVWF       FARG_contrast_control_temp+0 
	CALL        _contrast_control+0, 0
;Clicker2_WB_OLED_example.mpas,332 :: 		Delay_ms(20);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main41:
	DECFSZ      R13, 1, 1
	BRA         L__main41
	DECFSZ      R12, 1, 1
	BRA         L__main41
	DECFSZ      R11, 1, 1
	BRA         L__main41
;Clicker2_WB_OLED_example.mpas,333 :: 		end;
	MOVLW       0
	XORWF       _i+1, 0 
	BTFSS       N_bit, 2 
	GOTO        L__main66
	MOVLW       0
	XORWF       _i+0, 0 
L__main66:
	BTFSC       N_bit, 2 
	GOTO        L__main40
	MOVLW       1
	SUBWF       _i+0, 1 
	MOVLW       0
	SUBWFB      _i+1, 1 
	GOTO        L__main37
L__main40:
;Clicker2_WB_OLED_example.mpas,335 :: 		for i:=0x00 to 0xAF do
	CLRF        _i+0 
	CLRF        _i+1 
L__main43:
;Clicker2_WB_OLED_example.mpas,337 :: 		contrast_control(i);
	MOVF        _i+0, 0 
	MOVWF       FARG_contrast_control_temp+0 
	CALL        _contrast_control+0, 0
;Clicker2_WB_OLED_example.mpas,338 :: 		Delay_ms(20);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main47:
	DECFSZ      R13, 1, 1
	BRA         L__main47
	DECFSZ      R12, 1, 1
	BRA         L__main47
	DECFSZ      R11, 1, 1
	BRA         L__main47
;Clicker2_WB_OLED_example.mpas,339 :: 		end;
	MOVLW       0
	XORWF       _i+1, 0 
	BTFSS       N_bit, 2 
	GOTO        L__main67
	MOVLW       175
	XORWF       _i+0, 0 
L__main67:
	BTFSC       N_bit, 2 
	GOTO        L__main46
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
	GOTO        L__main43
L__main46:
;Clicker2_WB_OLED_example.mpas,341 :: 		startscroll_Right(0x00, 0x05);
	CLRF        FARG_startscroll_Right_x+0 
	MOVLW       5
	MOVWF       FARG_startscroll_Right_y+0 
	CALL        _startscroll_Right+0, 0
;Clicker2_WB_OLED_example.mpas,342 :: 		Delay_ms(3000);
	MOVLW       183
	MOVWF       R11, 0
	MOVLW       161
	MOVWF       R12, 0
	MOVLW       195
	MOVWF       R13, 0
L__main48:
	DECFSZ      R13, 1, 1
	BRA         L__main48
	DECFSZ      R12, 1, 1
	BRA         L__main48
	DECFSZ      R11, 1, 1
	BRA         L__main48
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,343 :: 		scroll_STOP();
	CALL        _scroll_STOP+0, 0
;Clicker2_WB_OLED_example.mpas,344 :: 		Display_Picture();
	CALL        _Display_Picture+0, 0
;Clicker2_WB_OLED_example.mpas,346 :: 		startscroll_Left(0x00, 0x05);
	CLRF        FARG_startscroll_Left_x+0 
	MOVLW       5
	MOVWF       FARG_startscroll_Left_y+0 
	CALL        _startscroll_Left+0, 0
;Clicker2_WB_OLED_example.mpas,347 :: 		Delay_ms(3000);
	MOVLW       183
	MOVWF       R11, 0
	MOVLW       161
	MOVWF       R12, 0
	MOVLW       195
	MOVWF       R13, 0
L__main49:
	DECFSZ      R13, 1, 1
	BRA         L__main49
	DECFSZ      R12, 1, 1
	BRA         L__main49
	DECFSZ      R11, 1, 1
	BRA         L__main49
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,348 :: 		scroll_STOP();
	CALL        _scroll_STOP+0, 0
;Clicker2_WB_OLED_example.mpas,349 :: 		Display_Picture();
	CALL        _Display_Picture+0, 0
;Clicker2_WB_OLED_example.mpas,351 :: 		startscroll_DiagRight(0x00, 0x05);
	CLRF        FARG_startscroll_DiagRight_x+0 
	MOVLW       5
	MOVWF       FARG_startscroll_DiagRight_y+0 
	CALL        _startscroll_DiagRight+0, 0
;Clicker2_WB_OLED_example.mpas,352 :: 		Delay_ms(3000);
	MOVLW       183
	MOVWF       R11, 0
	MOVLW       161
	MOVWF       R12, 0
	MOVLW       195
	MOVWF       R13, 0
L__main50:
	DECFSZ      R13, 1, 1
	BRA         L__main50
	DECFSZ      R12, 1, 1
	BRA         L__main50
	DECFSZ      R11, 1, 1
	BRA         L__main50
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,353 :: 		scroll_STOP();
	CALL        _scroll_STOP+0, 0
;Clicker2_WB_OLED_example.mpas,354 :: 		Display_Picture();
	CALL        _Display_Picture+0, 0
;Clicker2_WB_OLED_example.mpas,356 :: 		startscroll_DiagLeft(0x00, 0x05);
	CLRF        FARG_startscroll_DiagLeft_x+0 
	MOVLW       5
	MOVWF       FARG_startscroll_DiagLeft_y+0 
	CALL        _startscroll_DiagLeft+0, 0
;Clicker2_WB_OLED_example.mpas,357 :: 		Delay_ms(3000);
	MOVLW       183
	MOVWF       R11, 0
	MOVLW       161
	MOVWF       R12, 0
	MOVLW       195
	MOVWF       R13, 0
L__main51:
	DECFSZ      R13, 1, 1
	BRA         L__main51
	DECFSZ      R12, 1, 1
	BRA         L__main51
	DECFSZ      R11, 1, 1
	BRA         L__main51
	NOP
	NOP
;Clicker2_WB_OLED_example.mpas,358 :: 		scroll_STOP();
	CALL        _scroll_STOP+0, 0
;Clicker2_WB_OLED_example.mpas,359 :: 		end;
	GOTO        L__main29
;Clicker2_WB_OLED_example.mpas,361 :: 		end.
L_end_main:
	GOTO        $+0
; end of _main
